
Robotics Service Bus - Tasks #291
Fix communication with C++ baseline
05/12/2011 03:11 PM - J. Wienke

Status: Resolved Start date: 05/20/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Java Estimated time: 1.50 hour
Target version: 0.2
Description

    -  md5 sums for group names
    -  Scope class
    -  hierarchical sending
    -  separation of domain and wire schema
    -  QoS
    -  Configuration compatible to C++ implementation (currently especially spread options)

Subtasks:
Bug # 306: Apply QoS from config to ports Resolved

Associated revisions
Revision 8826fd0f - 05/19/2011 06:55 PM - J. Wienke

implement message sequencing in java

refs #291

Revision cef2d784 - 05/20/2011 02:17 PM - J. Wienke

added a scope class to be used instead of string uris

refs #291

Revision e56901a3 - 05/20/2011 02:38 PM - J. Wienke

use scope class instead of string uris

refs #291

Revision 5e375acd - 05/20/2011 02:55 PM - J. Wienke

send on whole spread hierarchy

refs #291

Revision 8eb47251 - 05/20/2011 03:13 PM - J. Wienke

implement hashing of spread group names
refs #291

Revision c3b5fe96 - 05/20/2011 03:45 PM - J. Wienke

add a QoS class

refs #291

Revision 5d223e24 - 05/23/2011 06:13 PM - J. Wienke

be able to apply QoS to ports

refs #291

Revision e484f159 - 05/24/2011 02:44 AM - J. Moringen
Partially migrated to new configuration schema
refs #291
    -  src/rsb/util/Properties.java: changed parser to accept "INI-File" 

  syntax; updated known configuration options according to new schema
    -  src/rsb/transport/spread/SpreadWrapper.java: use configuration

  option names as defined by new schema

Revision 3d2954b4 - 05/24/2011 02:48 AM - J. Moringen
Renamed and adapted configuration file rsb.conf
refs #291
    -  rsb.conf: renamed .rsbrc -> rsb.conf; changed syntax according to

  new configuration schema

Revision 51f09ea9 - 05/24/2011 03:00 AM - J. Moringen
Process env vars correctly in src/rsb/util/Properties.java
refs #291
    -  src/rsb/util/Properties.java: when processing environment variables,

  strip RSB_ prefix from name and convert rest to lower case

History
#1 - 05/16/2011 02:33 PM - J. Wienke
- Target version set to 0.2

#2 - 05/19/2011 06:54 PM - J. Wienke
- Status changed from New to In Progress
- Assignee changed from S. Wrede to J. Wienke

#3 - 05/20/2011 03:46 PM - J. Wienke
- % Done changed from 0 to 50

#4 - 05/26/2011 03:20 PM - J. Wienke
- Status changed from In Progress to Resolved
